
USE [master]
GO

CREATE DATABASE WebDav
GO

USE [WebDav]
GO

/****** Object:  Table [dbo].[Alarm]    Script Date: 10/19/2015 12:34:33 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Alarm](
	[AlarmId] [uniqueidentifier] NOT NULL CONSTRAINT [DF_Alarm_AlarmId]  DEFAULT (newid()),
	[EventComponentId] [uniqueidentifier] NOT NULL,
	[UID] [nvarchar](255) NOT NULL,
	[Action] [nvarchar](15) NOT NULL,
	[TriggerAbsoluteDateTimeUtc] [datetime2](7) NULL,
	[TriggerRelativeOffset] [bigint] NULL,
	[TriggerRelatedStart] [bit] NULL,
	[Summary] [nvarchar](255) NULL,
	[Description] [nvarchar](max) NULL,
	[Duration] [bigint] NULL,
	[Repeat] [int] NULL,
 CONSTRAINT [PK_Alarm] PRIMARY KEY CLUSTERED 
(
	[AlarmId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)
)

GO
/****** Object:  Table [dbo].[Attachment]    Script Date: 10/19/2015 12:34:33 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[Attachment](
	[AttachmentId] [uniqueidentifier] NOT NULL,
	[EventComponentId] [uniqueidentifier] NOT NULL,
	[UID] [nvarchar](255) NOT NULL,
	[MediaType] [nvarchar](50) NULL,
	[ExternalUrl] [nvarchar](max) NULL,
	[Content] [varbinary](max) NULL,
 CONSTRAINT [PK_Attachment] PRIMARY KEY CLUSTERED 
(
	[AttachmentId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)
)

GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[Attendee]    Script Date: 10/19/2015 12:34:33 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Attendee](
	[AttendeeId] [uniqueidentifier] NOT NULL CONSTRAINT [DF_Attendee_AttendeeId]  DEFAULT (newid()),
	[EventComponentId] [uniqueidentifier] NOT NULL,
	[UID] [nvarchar](255) NOT NULL,
	[Email] [nvarchar](50) NULL,
	[CommonName] [nvarchar](255) NULL,
	[DirectoryEntryRef] [nvarchar](max) NULL,
	[Language] [nvarchar](50) NULL,
	[UserType] [nvarchar](15) NULL,
	[SentBy] [nvarchar](50) NULL,
	[DelegatedFrom] [nvarchar](50) NULL,
	[DelegatedTo] [nvarchar](50) NULL,
	[Rsvp] [bit] NULL,
	[ParticipationRole] [nvarchar](15) NULL,
	[ParticipationStatus] [nvarchar](15) NULL,
 CONSTRAINT [PK_Attendee] PRIMARY KEY CLUSTERED 
(
	[AttendeeId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)
)

GO
/****** Object:  Table [dbo].[CalendarFile]    Script Date: 10/19/2015 12:34:33 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[CalendarFile](
	[UID] [nvarchar](255) NOT NULL,
	[CalendarFolderId] [uniqueidentifier] NOT NULL,
	[ETag] [timestamp] NOT NULL,
	[CreatedUtc] [datetime2](7) NOT NULL CONSTRAINT [DF_CalendarFile_CreatedUtc]  DEFAULT (getutcdate()),
	[ModifiedUtc] [datetime2](7) NOT NULL CONSTRAINT [DF_CalendarFile_ModifiedUtc]  DEFAULT (getutcdate()),
 CONSTRAINT [PK_CalendarFile] PRIMARY KEY CLUSTERED 
(
	[UID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)
)

GO
/****** Object:  Table [dbo].[CalendarFolder]    Script Date: 10/19/2015 12:34:33 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[CalendarFolder](
	[CalendarFolderId] [uniqueidentifier] NOT NULL CONSTRAINT [DF_Calendar_CalendarFolderId]  DEFAULT (newid()),
	[Name] [nvarchar](50) NOT NULL,
	[Description] [nvarchar](max) NOT NULL,
 CONSTRAINT [PK_Calendar] PRIMARY KEY CLUSTERED 
(
	[CalendarFolderId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)
)

GO
INSERT INTO [dbo].[CalendarFolder] ([Name] ,[Description]) VALUES (N'Cal 1', N'Calendar 1')

GO
/****** Object:  Table [dbo].[Property]    Script Date: 10/19/2015 12:34:33 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Property](
	[PropertyId] [uniqueidentifier] NOT NULL DEFAULT (newid()),
	[CalendarFolderId] [uniqueidentifier] NOT NULL,
	[Name] [nvarchar](255) NOT NULL,
	[Namespace] [nvarchar](100) NOT NULL,
	[PropVal] [nvarchar](max) NOT NULL,
 CONSTRAINT [PK_Property] PRIMARY KEY CLUSTERED 
(
	[PropertyId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)
)

GO
/****** Object:  Table [dbo].[RecurrenceException]    Script Date: 10/19/2015 12:34:33 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[RecurrenceException](
	[RecurrenceExceptionId] [uniqueidentifier] NOT NULL,
	[EventComponentId] [uniqueidentifier] NOT NULL,
	[UID] [nvarchar](255) NOT NULL,
	[ExceptionDate] [datetime2](7) NOT NULL,
	[TimeZoneId] [nvarchar](255) NULL,
	[AllDay] [bit] NOT NULL,
 CONSTRAINT [PK_RecurrenceException] PRIMARY KEY CLUSTERED 
(
	[RecurrenceExceptionId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)
)

GO
/****** Object:  Table [dbo].[EventComponent]    Script Date: 10/19/2015 12:34:33 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[EventComponent](
	[EventComponentId] [uniqueidentifier] NOT NULL CONSTRAINT [DF_EventComponent_EventComponentId]  DEFAULT (newid()),
	[UID] [nvarchar](255) NOT NULL,
	[ComponentType] [bit] NOT NULL,
	[DateTimeStampUtc] [datetime2](7) NOT NULL,
	[CreatedUtc] [datetime2](7) NULL,
	[LastModifiedUtc] [datetime2](7) NULL,
	[Summary] [nvarchar](511) NULL,
	[Description] [nvarchar](max) NULL,
	[OrganizerEmail] [nvarchar](255) NULL,
	[OrganizerCommonName] [nvarchar](50) NULL,
	[Start] [datetime2](7) NULL,
	[StartTimeZoneId] [nvarchar](255) NULL,
	[End] [datetime2](7) NULL,
	[EndTimeZoneId] [nvarchar](255) NULL,
	[Duration] [bigint] NULL,
	[AllDay] [bit] NULL,
	[Class] [nvarchar](50) NULL,
	[Location] [nvarchar](255) NULL,
	[Priority] [tinyint] NULL,
	[Sequence] [int] NULL,
	[Status] [nvarchar](50) NULL,
	[Categories] [nvarchar](255) NULL,
	[RecurFrequency] [nvarchar](50) NULL,
	[RecurInterval] [int] NULL,
	[RecurUntil] [datetime2](7) NULL,
	[RecurCount] [int] NULL,
	[RecurWeekStart] [nvarchar](50) NULL,
	[RecurByDay] [nvarchar](50) NULL,
	[RecurByMonthDay] [nvarchar](50) NULL,
	[RecurByMonth] [nvarchar](50) NULL,
	[RecurBySetPos] [nvarchar](50) NULL,
	[RecurrenceIdDate] [datetime2](7) NULL,
	[RecurrenceIdTimeZoneId] [nvarchar](255) NULL,
	[RecurrenceIdThisAndFuture] [bit] NULL,
	[EventTransparency] [bit] NULL,
	[ToDoCompletedUtc] [datetime2](7) NULL,
	[ToDoPercentComplete] [tinyint] NULL,
 CONSTRAINT [PK__tmp_ms_x__7944C8109EA8321A] PRIMARY KEY CLUSTERED 
(
	[EventComponentId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)
)

GO
ALTER TABLE [dbo].[Attachment] ADD  CONSTRAINT [DF_Attachment_AttachmentId]  DEFAULT (newid()) FOR [AttachmentId]
GO
ALTER TABLE [dbo].[RecurrenceException] ADD  CONSTRAINT [DF_RecurrenceException_RecurrenceExceptionId]  DEFAULT (newid()) FOR [RecurrenceExceptionId]
GO
ALTER TABLE [dbo].[Alarm]  WITH CHECK ADD  CONSTRAINT [FK_Alarm_EventComponent] FOREIGN KEY([EventComponentId])
REFERENCES [dbo].[EventComponent] ([EventComponentId])
ON DELETE CASCADE
GO
ALTER TABLE [dbo].[Alarm] CHECK CONSTRAINT [FK_Alarm_EventComponent]
GO
ALTER TABLE [dbo].[Attachment]  WITH CHECK ADD  CONSTRAINT [FK_Attachment_EventComponent] FOREIGN KEY([EventComponentId])
REFERENCES [dbo].[EventComponent] ([EventComponentId])
ON DELETE CASCADE
GO
ALTER TABLE [dbo].[Attachment] CHECK CONSTRAINT [FK_Attachment_EventComponent]
GO
ALTER TABLE [dbo].[Attendee]  WITH CHECK ADD  CONSTRAINT [FK_Attendee_EventComponent] FOREIGN KEY([EventComponentId])
REFERENCES [dbo].[EventComponent] ([EventComponentId])
ON DELETE CASCADE
GO
ALTER TABLE [dbo].[Attendee] CHECK CONSTRAINT [FK_Attendee_EventComponent]
GO
ALTER TABLE [dbo].[CalendarFile]  WITH CHECK ADD  CONSTRAINT [FK_CalendarFile_Calendar] FOREIGN KEY([CalendarFolderId])
REFERENCES [dbo].[CalendarFolder] ([CalendarFolderId])
ON DELETE CASCADE
GO
ALTER TABLE [dbo].[CalendarFile] CHECK CONSTRAINT [FK_CalendarFile_Calendar]
GO
ALTER TABLE [dbo].[Property]  WITH CHECK ADD  CONSTRAINT [FK_Property_CalendarFolder] FOREIGN KEY([CalendarFolderId])
REFERENCES [dbo].[CalendarFolder] ([CalendarFolderId])
ON DELETE CASCADE
GO
ALTER TABLE [dbo].[Property] CHECK CONSTRAINT [FK_Property_CalendarFolder]
GO
ALTER TABLE [dbo].[RecurrenceException]  WITH CHECK ADD  CONSTRAINT [FK_RecurrenceException_EventComponent] FOREIGN KEY([EventComponentId])
REFERENCES [dbo].[EventComponent] ([EventComponentId])
ON DELETE CASCADE
GO
ALTER TABLE [dbo].[RecurrenceException] CHECK CONSTRAINT [FK_RecurrenceException_EventComponent]
GO
ALTER TABLE [dbo].[EventComponent]  WITH CHECK ADD  CONSTRAINT [FK_EventComponent_CalendarFile] FOREIGN KEY([UID])
REFERENCES [dbo].[CalendarFile] ([UID])
ON DELETE CASCADE
GO
ALTER TABLE [dbo].[EventComponent] CHECK CONSTRAINT [FK_EventComponent_CalendarFile]
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Alarm', @level2type=N'COLUMN',@level2name=N'AlarmId'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Component to which this alarm belongs.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Alarm', @level2type=N'COLUMN',@level2name=N'EventComponentId'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Event or to-do (calendar file) to which this alarm belongs. Only required here to reduce ammount of joins.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Alarm', @level2type=N'COLUMN',@level2name=N'UID'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Defines which action to be invoked when an alarm is triggered (AUDIO/DISPLAY/EMAIL).' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Alarm', @level2type=N'COLUMN',@level2name=N'Action'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'The absolute date-time for the alarm in UTC. NULL if relative time is specified.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Alarm', @level2type=N'COLUMN',@level2name=N'TriggerAbsoluteDateTimeUtc'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'The time for the trigger of the alarm relative to the start or the end of an event or to-do. NULL if absolute time is specified.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Alarm', @level2type=N'COLUMN',@level2name=N'TriggerRelativeOffset'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Relationship of the alarm trigger with respect to the start or end of the calendar component in case relative time is specified. NULL if absolute date-time is specified.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Alarm', @level2type=N'COLUMN',@level2name=N'TriggerRelatedStart'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Text to be used as the message subject when the Action is EMAIL.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Alarm', @level2type=N'COLUMN',@level2name=N'Summary'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Text to be displayed when the alarm is triggered if the Action is DISPLAY or the e-mail message body when the Action is EMAIL.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Alarm', @level2type=N'COLUMN',@level2name=N'Description'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Alarm duration in ticks. 1 tick = 100 nanoseconds.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Alarm', @level2type=N'COLUMN',@level2name=N'Duration'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'The number of times the alarm should be repeated, after the initial trigger.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Alarm', @level2type=N'COLUMN',@level2name=N'Repeat'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'A reminder or alarm for an event or a to-do.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Alarm'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Component to which this attchment belongs.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Attachment', @level2type=N'COLUMN',@level2name=N'EventComponentId'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Event or to-do (calendar file) to which this attachment belongs. Only required here to reduce ammount of joins.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Attachment', @level2type=N'COLUMN',@level2name=N'UID'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Media type. Typically NULL when external URL is specified.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Attachment', @level2type=N'COLUMN',@level2name=N'MediaType'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Attachment URL. NULL if file content is specified.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Attachment', @level2type=N'COLUMN',@level2name=N'ExternalUrl'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Attacment file content. NULL if external url is specified. It is recommended to keep attchment size below 256Kb. In case over 1Mb should be stored, convert to FILESTREAM, FileTable or store in file system.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Attachment', @level2type=N'COLUMN',@level2name=N'Content'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Contains event and to-do attchments, card photo, logo, sound and key.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Attachment'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Component to which this this attendee is assigned.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Attendee', @level2type=N'COLUMN',@level2name=N'EventComponentId'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Event or to-do (calendar file) to which this attendee belongs. Only required here to reduce ammount of joins.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Attendee', @level2type=N'COLUMN',@level2name=N'UID'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Attengee e-mail.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Attendee', @level2type=N'COLUMN',@level2name=N'Email'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Attendee common name.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Attendee', @level2type=N'COLUMN',@level2name=N'CommonName'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Reference to a directory entry associated with the attendee.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Attendee', @level2type=N'COLUMN',@level2name=N'DirectoryEntryRef'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Language.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Attendee', @level2type=N'COLUMN',@level2name=N'Language'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Calendar user type (INDIVIDUAL/GROUP/RESOURCE/ROOM/UNKNOWN)' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Attendee', @level2type=N'COLUMN',@level2name=N'UserType'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Used to indicate whom is acting on behalf of the attendee. Typically e-mail.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Attendee', @level2type=N'COLUMN',@level2name=N'SentBy'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Used to indicate whom the request was delegated from. Typically e-mail.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Attendee', @level2type=N'COLUMN',@level2name=N'DelegatedFrom'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Used to indicate the calendar users that the original request was delegated to. Typically e-mail.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Attendee', @level2type=N'COLUMN',@level2name=N'DelegatedTo'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Used for indicating whether the favor of a reply is requested.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Attendee', @level2type=N'COLUMN',@level2name=N'Rsvp'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Used to specify the participation role (CHAIR/REQ-PARTICIPANT/OPT-PARTICIPANT/NON-PARTICIPANT).' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Attendee', @level2type=N'COLUMN',@level2name=N'ParticipationRole'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Used to specify participation status (NEEDS-ACTION/ACCEPTED/DECLINED/TENTATIVE/DELEGATED/COMPLETED/IN-PROCESS).' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Attendee', @level2type=N'COLUMN',@level2name=N'ParticipationStatus'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Stores attendees for an event, to-do, journal and free-busy calendar components.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Attendee'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Event or to-do (calendar file) UID. All events or to-dos components withing a file has this UID.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'CalendarFile', @level2type=N'COLUMN',@level2name=N'UID'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Calendar (calendar folder) to which this component belongs to.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'CalendarFile', @level2type=N'COLUMN',@level2name=N'CalendarFolderId'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Automaticaly changes each time this object is updated. Used for synchronization operations.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'CalendarFile', @level2type=N'COLUMN',@level2name=N'ETag'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Time when this file was created. Typically CalDAV clients never request this property, used for demo purposes only.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'CalendarFile', @level2type=N'COLUMN',@level2name=N'CreatedUtc'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Time when this file was modified. This property is updated to trigger ETag update. Typically CalDAV clients never request this property, used for demo purposes only.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'CalendarFile', @level2type=N'COLUMN',@level2name=N'ModifiedUtc'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Contains calendar files (.ics). Each file contains one or more event or to-do instances.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'CalendarFile'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Calendar name.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'CalendarFolder', @level2type=N'COLUMN',@level2name=N'Name'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Calendar description.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'CalendarFolder', @level2type=N'COLUMN',@level2name=N'Description'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Represents calendar folder. Calendar folder contains calendar files each containing event or -to do description.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'CalendarFolder'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Calendar (calendar folder) to which this custom property belongs to.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Property', @level2type=N'COLUMN',@level2name=N'CalendarFolderId'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Custom property name.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Property', @level2type=N'COLUMN',@level2name=N'Name'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Custom property namespace.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Property', @level2type=N'COLUMN',@level2name=N'Namespace'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Custom property value.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Property', @level2type=N'COLUMN',@level2name=N'PropVal'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Calendar custom properties.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Property'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Component to which this this recurrence rule exception belongs.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'RecurrenceException', @level2type=N'COLUMN',@level2name=N'EventComponentId'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Event or to-do (calendar file) to which this recurrence exception belongs. Only required here to reduce ammount of joins.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'RecurrenceException', @level2type=N'COLUMN',@level2name=N'UID'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Recurrence exception date.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'RecurrenceException', @level2type=N'COLUMN',@level2name=N'ExceptionDate'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Recurrence exception date time zone ID. If if NULL - ExceptionDate is a "floating" time. If contains "UTC" - the ExceptionDate is in UTC.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'RecurrenceException', @level2type=N'COLUMN',@level2name=N'TimeZoneId'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Time in ExceptionDate should be ignored for all-day events or to-dos.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'RecurrenceException', @level2type=N'COLUMN',@level2name=N'AllDay'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Contains exceptions for recurring events and to-dos.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'RecurrenceException'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'EventComponent', @level2type=N'COLUMN',@level2name=N'EventComponentId'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Event or to-do (calendar file) to which this component belongs to.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'EventComponent', @level2type=N'COLUMN',@level2name=N'UID'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Type of component. 1 - event, 0 - to-do.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'EventComponent', @level2type=N'COLUMN',@level2name=N'ComponentType'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Specifies the date and time in UTC when the object was created.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'EventComponent', @level2type=N'COLUMN',@level2name=N'DateTimeStampUtc'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Specifies the date and time in UTC when the calendar information was created by the calendar user agent in the calendar store.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'EventComponent', @level2type=N'COLUMN',@level2name=N'CreatedUtc'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Specifies the date and time in UTC when the information associated with the calendar component was last revised in the calendar store.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'EventComponent', @level2type=N'COLUMN',@level2name=N'LastModifiedUtc'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Defines a short summary or subject.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'EventComponent', @level2type=N'COLUMN',@level2name=N'Summary'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Provides a more complete description of the calendar component than that provided by the "SUMMARY" property.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'EventComponent', @level2type=N'COLUMN',@level2name=N'Description'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Specifies email of the organizer of the event or to-do.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'EventComponent', @level2type=N'COLUMN',@level2name=N'OrganizerEmail'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Specifies common name  of the organizer of the event or to-do.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'EventComponent', @level2type=N'COLUMN',@level2name=N'OrganizerCommonName'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Specifies the inclusive start of the event or to-do. For recurring events and to-dos, it also specifies the very first recurrence instance. Could be "floating" time, time relative to time zone in StartTimeZone field or UTC.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'EventComponent', @level2type=N'COLUMN',@level2name=N'Start'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Time zone ID for event or to-do Start time. If if NULL - Start is a "floating" time. If contains "UTC" - Start is in UTC.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'EventComponent', @level2type=N'COLUMN',@level2name=N'StartTimeZoneId'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Specifies the non-inclusive end of the event or due time for to-do component. Could be "floating" time, time relative to time zone in EndTimeZone field or UTC. NULL if Duration is specified.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'EventComponent', @level2type=N'COLUMN',@level2name=N'End'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Time zone ID for event End or to-do due time. If if NULL - End is a "floating" time. If contains "UTC" - the End is in UTC. Contains NULL if Duration is specified.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'EventComponent', @level2type=N'COLUMN',@level2name=N'EndTimeZoneId'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Event or to-do duration in ticks. 1 tick = 100 nanoseconds. NULL if End is specified.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'EventComponent', @level2type=N'COLUMN',@level2name=N'Duration'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'True for all-day event or to-do. Time in Start and End/Due property should be ignored for all-day events or to-dos. StartTimeZone/EndTimeZone must be set to NULL for all-day events and to-dos.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'EventComponent', @level2type=N'COLUMN',@level2name=N'AllDay'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Specifies access classification (PUBLIC/PRIVATE/CONFIDENTIAL).' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'EventComponent', @level2type=N'COLUMN',@level2name=N'Class'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Location description.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'EventComponent', @level2type=N'COLUMN',@level2name=N'Location'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Relative priority (0-9). A value of 0 specifies an undefined priority. A value of 1 is the highest priority.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'EventComponent', @level2type=N'COLUMN',@level2name=N'Priority'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Defines the revision sequence number of the calendar component within a sequence of revisions.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'EventComponent', @level2type=N'COLUMN',@level2name=N'Sequence'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Overall status or confirmation for the event or to-do (TENTATIVE/CONFIRMED/CANCELLED).' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'EventComponent', @level2type=N'COLUMN',@level2name=N'Status'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Specifies categories or subtypes of the calendar component, coma-separated list.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'EventComponent', @level2type=N'COLUMN',@level2name=N'Categories'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Recurrence rule frequency (SECONDLY/MINUTELY/HOURLY/DAILY/WEEKLY/MONTHLY/YEARLY).' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'EventComponent', @level2type=N'COLUMN',@level2name=N'RecurFrequency'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Positive integer representing at which intervals the recurrence rule repeats.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'EventComponent', @level2type=N'COLUMN',@level2name=N'RecurInterval'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Date-time untill which the recurrence rule is valid. Could be "floating" time or UTC, depending on Start value.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'EventComponent', @level2type=N'COLUMN',@level2name=N'RecurUntil'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Contains the number of occurrences at which to range-bound the recurrence.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'EventComponent', @level2type=N'COLUMN',@level2name=N'RecurCount'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'RecurWeekStart.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'EventComponent', @level2type=N'COLUMN',@level2name=N'RecurWeekStart'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Days of the week for weekly, monthly or yearly recurrence rule separated with '',''. For example: ''TU,WE,FR'' or ''1SU,-1SU''.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'EventComponent', @level2type=N'COLUMN',@level2name=N'RecurByDay'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Comma-separated list of days of the month. Valid values are 1 to 31 or -31 to -1.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'EventComponent', @level2type=N'COLUMN',@level2name=N'RecurByMonthDay'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Comma-separated list of months of the year. Valid values are 1 to 12.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'EventComponent', @level2type=N'COLUMN',@level2name=N'RecurByMonth'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Comma-separated list of days of the month. Valid values are 1 to 31 or -31 to -1.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'EventComponent', @level2type=N'COLUMN',@level2name=N'RecurBySetPos'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Recurrence ID date or date and time. The value must be of the same type as Start value: "floating" time, UTC, or time in specific time zone.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'EventComponent', @level2type=N'COLUMN',@level2name=N'RecurrenceIdDate'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Recurrence ID time zone ID.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'EventComponent', @level2type=N'COLUMN',@level2name=N'RecurrenceIdTimeZoneId'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Recurrence ID RANGE parameter. If true - indicates a range defined by the given recurrence instance and all subsequent instances.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'EventComponent', @level2type=N'COLUMN',@level2name=N'RecurrenceIdThisAndFuture'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Defines whether or not an event is transparent to busy time searches. Valid for events only.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'EventComponent', @level2type=N'COLUMN',@level2name=N'EventTransparency'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Defines the date and time in UTC that a to-do was actually completed. Valid for to-dos only.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'EventComponent', @level2type=N'COLUMN',@level2name=N'ToDoCompletedUtc'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Percent completion of a to-do. Valid for to-dos only.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'EventComponent', @level2type=N'COLUMN',@level2name=N'ToDoPercentComplete'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Stores calendars events and to-dos components (VEVENT and VTODO). Every calendar file can contain more than one component all sharing the same UID.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'EventComponent'
GO
